members.dev
Users

List Users

Lists Users

GET
/v1/users

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

search?|

Search Users by name, email, phone, or external ID.

user_group_id?array<>|

Return only users with an active membership in one or more user groups. Provide the parameter multiple times for multiple groups.

product_id?array<>|

Return only users on a non-canceled, non-expired subscription for one or more products. Provide the parameter multiple times for multiple products.

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/users"
{
  "items": [
    {
      "id": "usr_01KKSMB47VYGW97GFE67VGDK7M",
      "name": "John Doe",
      "external_id": "ext_abc123",
      "emails": [
        {
          "id": "uem_01KKSMB47VYGW97GFE67VGDK7M",
          "email": "user@example.com",
          "is_default": true
        }
      ],
      "addresses": [
        {
          "id": "uad_01KKSMB47VYGW97GFE67VGDK7M",
          "recipient_name": "string",
          "address_line_1": "string",
          "address_line_2": "string",
          "city": "string",
          "administrative_area": "string",
          "postal_code": "string",
          "country_code": "string",
          "is_default": true
        }
      ],
      "phones": [
        {
          "id": "uph_01KKSMB47VYGW97GFE67VGDK7M",
          "number": "string",
          "country_code": "string",
          "is_default": true
        }
      ],
      "subscriptions": [
        {
          "id": "string",
          "user_ids": [
            "string"
          ],
          "status": "trialing",
          "product": {
            "product_id": "string",
            "start": {
              "start_type": "auto"
            },
            "recurring": {
              "recurring_type": "never"
            },
            "expiry": {
              "expiry_type": "never"
            },
            "trial": {
              "interval": "week",
              "interval_count": 7
            },
            "price": {
              "price_type": "fixed",
              "price_id": "string",
              "amount": 0,
              "currency": "string"
            },
            "benefit_schedules": [
              {
                "recurring": {
                  "recurring_type": "never"
                },
                "expiry": {
                  "expiry_type": "never"
                },
                "benefit_grants": [
                  {
                    "benefit_id": "string",
                    "value_initial": 0,
                    "expiry": {
                      "expiry_type": "never"
                    }
                  }
                ]
              }
            ]
          },
          "trial_starts_at": {},
          "trial_ends_at": {},
          "current_period_starts_at": {},
          "current_period_ends_at": {},
          "starts_at": null,
          "expires_at": {},
          "benefit_schedules": [
            "string"
          ],
          "state_transitions": {
            "trialing_at": {},
            "pending_at": {},
            "active_at": {},
            "past_due_at": {},
            "canceled_at": {},
            "expired_at": {},
            "paused_at": {}
          },
          "next_update": {
            "updates_at": null,
            "update_type": "activates"
          },
          "invoices": [
            {
              "id": "string",
              "invoice_number": "INV-550",
              "user_ids": [
                "string"
              ],
              "status": "open",
              "due_at": null,
              "amount_original": 0,
              "amount_due": 0,
              "currency": "string",
              "subscription": {
                "subscription_id": "string",
                "period_starts_at": null,
                "period_ends_at": {}
              },
              "state_transitions": {
                "opened_at": {},
                "past_due_at": {},
                "paid_at": {},
                "voided_at": {}
              },
              "next_update": {
                "updates_at": null,
                "update_type": "past_due"
              },
              "created_at": null,
              "updated_at": null
            }
          ],
          "created_at": null,
          "updated_at": null
        }
      ],
      "user_group_ids": [
        "string"
      ],
      "custom_fields": {},
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}